Package org.apache.uima.cas_data.impl

# Class PrimitiveArrayFSImpl

java.lang.Object
org.apache.uima.cas_data.impl.FeatureStructureImpl
org.apache.uima.cas_data.impl.PrimitiveArrayFSImpl

All Implemented Interfaces:
  `Serializable`, `FeatureStructure`, `PrimitiveArrayFS`

public class PrimitiveArrayFSImpl extends FeatureStructureImpl implements PrimitiveArrayFS

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrimitiveArrayFSImpl(float[] aArray)`
  `PrimitiveArrayFSImpl(int[] aArray)`
  `PrimitiveArrayFSImpl(String[] aArray)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get()`
  `int`
  `size()`
  Get the size of this array.
  `float[]`
  `toFloatArray()`
  Gets this value as an float array.
  `int[]`
  `toIntArray()`
  Gets this value as an integer array.
  `String`
  `toString()`
  `String[]`
  `toStringArray()`
  Gets this value as an string array.

  ### Methods inherited from class org.apache.uima.cas_data.impl.FeatureStructureImpl

  `getFeatureNames, getFeatureValue, getId, getIndexed, getType, isIndexed, setFeatureValue, setId, setIndexed, setIndexed, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.cas_data.FeatureStructure

  `getFeatureNames, getFeatureValue, getId, getIndexed, getType, isIndexed, setFeatureValue, setId, setIndexed, setIndexed, setType`

- ## Constructor Details

  - ### PrimitiveArrayFSImpl

    public PrimitiveArrayFSImpl(String[] aArray)

  - ### PrimitiveArrayFSImpl

    public PrimitiveArrayFSImpl(int[] aArray)

  - ### PrimitiveArrayFSImpl

    public PrimitiveArrayFSImpl(float[] aArray)

- ## Method Details

  - ### size

    public int size()
    Description copied from interface: `PrimitiveArrayFS`
    Get the size of this array.
    Specified by:
      `size` in interface `PrimitiveArrayFS`
    Returns:
      the size

  - ### toIntArray

    public int[] toIntArray()
    Description copied from interface: `PrimitiveArrayFS`
    Gets this value as an integer array.
    Specified by:
      `toIntArray` in interface `PrimitiveArrayFS`
    Returns:
      integer array value, empty array if value is not an array

  - ### toFloatArray

    public float[] toFloatArray()
    Description copied from interface: `PrimitiveArrayFS`
    Gets this value as an float array.
    Specified by:
      `toFloatArray` in interface `PrimitiveArrayFS`
    Returns:
      float array value, empty array if value is not an array

  - ### toStringArray

    public String[] toStringArray()
    Description copied from interface: `PrimitiveArrayFS`
    Gets this value as an string array.
    Specified by:
      `toStringArray` in interface `PrimitiveArrayFS`
    Returns:
      string array value, empty array if value is not an array

  - ### get

    public Object get()
    Overrides:
      `get` in class `FeatureStructureImpl`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `FeatureStructureImpl`